Subject: bug#72262: 31.0.50; [PATCH] Bug in `ispell-begin-tex-skip-regexp'

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Aug 2024 08:11:45 -0400

>> The matching of whitespace there seems to be on purpose,
>
> In LaTeX2e, spaces in environment names are significant, so \begin{foo}
> is not equivalent to \begin{foo } or \begin{ foo }, therefore I think
> the current code is wrong.

Indeed, this is puzzling: I can't see why the code explicitly ignored
whitespace there.  I've never seen environment names with leading or
trailing whitespace, so it's probably not a big deal wither way, but
your patch looks right to me.

        Stefan